From The Compiler, 5 Years ago, written in Plain Text.
Embed
  1. Traceback (most recent call last):
  2.   File "<frozen importlib._bootstrap>", line 1521, in _find_and_load_unlocked
  3. AttributeError: 'module' object has no attribute '__path__'
  4.  
  5. During handling of the above exception, another exception occurred:
  6.  
  7. Traceback (most recent call last):
  8.   File "oopsd/oopsd.py", line 29, in <module>
  9.     sys.exit(main())
  10.   File "oopsd/oopsd.py", line 23, in main
  11.     loaddriver()
  12.   File "oopsd/oopsd.py", line 26, in loaddriver
  13.     importlib.import_module('oopsd.driver.foo')
  14.   File "/usr/lib/python3.3/importlib/__init__.py", line 90, in import_module
  15.     return _bootstrap._gcd_import(name[level:], package, level)
  16.   File "<frozen importlib._bootstrap>", line 1586, in _gcd_import
  17.   File "<frozen importlib._bootstrap>", line 1567, in _find_and_load
  18.   File "<frozen importlib._bootstrap>", line 1514, in _find_and_load_unlocked
  19.   File "<frozen importlib._bootstrap>", line 313, in _call_with_frames_removed
  20.   File "<frozen importlib._bootstrap>", line 1586, in _gcd_import
  21.   File "<frozen importlib._bootstrap>", line 1567, in _find_and_load
  22.   File "<frozen importlib._bootstrap>", line 1524, in _find_and_load_unlocked
  23. ImportError: No module named 'oopsd.driver'; oopsd is not a package
  24.